GOLF(2gg)

NAME
encode-web - (web-encoding)

PURPOSE
Web(HTML)-encode string.

SYNTAX

        encode-web <string> to <encoded string> \
            [ input-length <length> ]

DESCRIPTION
encode-web encodes <string> so it can be used in a HTML-like markup text (such as a web page or an XML/XHTML document), and stores the result in <encoded string>.

You can encode only the first <length> bytes, given by "input-length" clause.

EXAMPLES
In this example, a string "str" will be web-encoded and the result is in "result" variable:

        set-string str="  x<y>z&\"'  "
        encode-web str to result

The "result" is " x&lt;y&gt;z&amp;&quot;&apos; ".

SEE ALSO
 Web encoding

decode-web encode-web See all documentation